<%@ Page language="c#" AutoEventWireup="true" %>
<%@ Import Namespace="TopCoder.Web.UI.WebControl.BreadCrumb" %>
<%@ Import Namespace="TopCoder.Web.UI.WebControl.BreadCrumb.NodeDiscovery" %>

<script runat="server">
    /// Instantiate a HttpRequestNodeDiscovery and
    /// call GetCurrentNode and assign the Title & Url result to the corresponding labels.
    /// the query string with name 'title' is passed as the 1st argument in GetCurrentNode
    /// lblTitle will be ':null:' if the resulting Title has a null reference
    /// Note that the output will be html encoded
    /// otherwise NUnitAsp will give warnings about unidentified elements
    public void Page_Load()
    {
        HttpRequestNodeDiscovery n = new HttpRequestNodeDiscovery();
        BreadCrumbNode node = n.GetCurrentNode(Request["title"], this);

        // if Title is null, lblTitle will be ":null:"
        lblTitle.Text = HttpUtility.HtmlEncode((node.Title == null) ? ":null:" : node.Title);
        lblUrl.Text = HttpUtility.HtmlEncode(node.Url);
    }
</script>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
    <body>
            <asp:Label id="lblTitle" runat="server"/>
            <asp:Label id="lblUrl" runat="server"/>
    </body>
</HTML>
